<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextVersion Method (IEdmEnumeratorVersion5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : GetNextVersion Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next version

Gets the version at the next position of this enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextVersion( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmVersion5

C# |
--- | ---

    IEdmVersion5 GetNextVersion(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmVersion5^ GetNextVersion(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next version

#### Return Value

IEdmVersion5

# Example

Get File Version Information (C#)
Get File Version Information (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first version, IEdmPos5. Call IEdmEnumeratorVersion5::GetFirstVersionPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the versions.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2